/********************************************************************
*		     JPassManage version 3.0								*
*   Management of login and password for sites or software			*
*		       Software for Palm Os									*
*                Copyright (C) 2002  Arnaud FARINE 					*
*		    <arnaud.farine@wanadoo.fr>								*
* This program is free software; you can redistribute it and/or		*
* modify it under the terms of the GNU General Public License		*
* as published by the Free Software Foundation; either version 2	*
* of the License, or (at your option) any later version.			*
*																	*
* This program is distributed in the hope that it will be useful,	*
* but WITHOUT ANY WARRANTY; without even the implied warranty of	*
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		*
* GNU General Public License for more details.						*
*																	*
* You should have received a copy of the GNU General Public License	*
* along with this program; if not, write to 						*
*                    Free Software Foundation, Inc.,				*
*		      59 Temple Place - Suite 330,							*
*		      Boston, MA  02111-1307, USA.							*
*********************************************************************
/**
* EnregIdPwd
* @author Arnaud FARINE
* @version 2.0
*/

/**
* Represente un objet triplet : site (ou logiciel) identifiant et mot de passe
*/
public class EnregIdPwd  {
	private int id;
	private String site;
	private String log;
	private String pwd;
	private String infoSupp;
	
	
	/**
	* Retourne le numro de l'enregistrement (pas du Record!)
	* @return L'identifiant de l'enregistrement
	*/
	public int getId(){
		return id;
	}
	
	/**
	* Met la valeur de l'identifiant dans la variable de classe id
	* @param id Le numro de l'enregistrement
	*/
	public void setId(int id){
		this.id=id;
	}
	/**
	* Retourne le nom du site ou du logiciel
	* @return le nom du site ou du logiciel
	*/
	public String getSite(){
		return site;
	}
	
	/**
	* Met la valeur du site dans la variable de classe site
	* @param site Le nom du site concern par l'enregistrement
	*/
	public void setSite(String site){
		this.site=site;
	}
	
	/**
	* Retourne le login de l'utilisateur pour le site en cours
	* @return Le login de l'utilisateur
	*/
	public String getLog(){
		return log;
	}
	
	/**
	* Met la valeur de l'identifiant de l'utilisateur associ au site
	* @param log la valeur de l'identifiant de l'utilisateur
	*/
	public void setLog(String log){
		this.log=log;
	}
	
	/**
	* Retourne le mot de passe de l'utilisateur pour le site en cours
	* @return Le mot de passe de l'utilisateur
	*/
	public String getPwd(){
		return pwd;
	}
	
	/**
	* Met la valeur du mot de passe de l'utilisateur associ au site
	* @param pwd La valeur du mot de passe de l'utilisateur
	*/
	public void setPwd(String pwd){
		this.pwd=pwd;
	}
	
	/**
	* Met la valeur de l'information supplementaire
	* @param infoSupp La valeur de l'information
	*/
	public void setInfoSupp(String infoSupp){
		this.infoSupp = infoSupp;
	}
	
	/**
	* Retourne la remarque pour le site en cours
	* @return L'information supplementaire associ  l'enregistrement
	*/
	public String getInfoSupp(){
		return infoSupp;	
	}
	/**Utiliser pour l'import export*/
	public String objString(){
		return site + "\n" + log + "\n" + pwd + "\n" + infoSupp;	
	}
	
  
}
